Bug 237890 - x11-wm/i3: fix build
Summary: x11-wm/i3: fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-13 20:33 UTC by Piotr Kubaj
Modified: 2019-05-28 18:23 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments
patch (348 bytes, text/plain)
2019-05-13 20:33 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (bapt)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-05-13 20:33:40 UTC
Created attachment 204365 [details]
patch

Add MAKE_JOBS_UNSAFE=yes to fix build.

Errors:
/wrkdirs/usr/ports/x11-wm/i3/work/i3-4.16/../i3-4.16/i3-config-wizard/main.c:109:10: fatal error: GENERATED_config_enums.h: No such file or directory
 #include "GENERATED_config_enums.h"
          ^~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
Comment 1 Baptiste Daroussin freebsd_committer 2019-05-14 08:21:02 UTC
how do you reproduce that? how many cores?
Comment 2 Piotr Kubaj freebsd_committer 2019-05-14 09:19:15 UTC
(In reply to Baptiste Daroussin from comment #1)
4 cores (16 threads).
Comment 3 commit-hook freebsd_committer 2019-05-28 18:23:22 UTC
A commit references this bug:

Author: pkubaj
Date: Tue May 28 18:23:16 UTC 2019
New revision: 502904
URL: https://svnweb.freebsd.org/changeset/ports/502904

Log:
  x11-wm/i3: fix build with many threads

  i3 needs MAKE_JOBS_UNSAFE=yes to build.

  Errors:
  /wrkdirs/usr/ports/x11-wm/i3/work/i3-4.16/../i3-4.16/i3-config-wizard/main.c:109:10: fatal error: GENERATED_config_enums.h: No such file or directory
   #include "GENERATED_config_enums.h"

    ^~~~~~~~~~~~~~~~~~~~~~~~~~

  compilation terminated.

  PR:	237890
  Approved by:	tcberner (mentor), bapt (maintainer timeout)
  Differential Revision:	https://reviews.freebsd.org/D20438

Changes:
  head/x11-wm/i3/Makefile